/*
 * This Spock specification was generated by the Gradle 'init' task.
 */
package calidad.aire

import calidad.aire.geb.Aqicn
import calidad.aire.geb.Twitter
import geb.spock.GebSpec
import org.openqa.selenium.By
import org.openqa.selenium.OutputType
import org.openqa.selenium.Point
import org.openqa.selenium.TakesScreenshot
import org.openqa.selenium.WebElement
import spock.lang.Specification

import javax.imageio.ImageIO
import java.awt.image.BufferedImage

class AppTest extends GebSpec {

    def "extract div"() {
        when:
        to Aqicn
        Aqicn aqicn = page as Aqicn

        BufferedImage eleScreenshot = aqicn.extractDiv()

        ImageIO.write(eleScreenshot, "png", new File("build/${aqicn.ciudad}.png"))

        then:
        new File("build/${aqicn.ciudad}.png").exists()

        when:
        to Twitter

        and:
        Twitter twitter = page as Twitter
        waitFor {
            $("input", name:"session[username_or_email]").first().isDisplayed()
        }
        twitter.login()

        try {
            waitFor {
                $("#login-challenge-form")
            }
            throw new RuntimeException(System.properties['twitter_telefono'])
            $("input", name: "challenge_response") << System.properties['twitter_telefono']

            report "after-challenge"

            $("#email_challenge_submit").click()
        }catch( Throwable t){
            t.printStackTrace()
        }
        report "after-login"


        then:
        waitFor {
            $("form", class:"tweet-form")
        }

        when:
        twitter.sendTweet(System.getProperty("twitter_message"), new File("build/${aqicn.ciudad}.png").absolutePath )

        then:
        true
    }


}
